<?php

try {
	// Attributes:
	require_once('./app/Mage.php');
	umask(0);
	Mage::app('default');
	$resource = Mage::getSingleton("core/resource");

	$setup = new Mage_Eav_Model_Entity_Setup('core_setup');
	$setup->run('DROP TABLE IF EXISTS `' . $resource->getTableName('signup_list') . '`;');

	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  'signup/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = 'signup_setup'");

	// Files:
	$paths = array(
		'/app/design/adminhtml/default/default/layout/signup.xml',
		'/app/design/frontend/base/default/layout/signup.xml',
		'/app/design/frontend/base/default/template/signup/',
		'/app/locale/en_US/Plumrocket_Signup.csv',
		'/app/code/local/Plumrocket/Signup/',
		'/app/etc/modules/Plumrocket_Signup.xml',
		'/skin/adminhtml/default/default/js/plumrocket/signup/',
		'/skin/frontend/base/default/images/plumrocket/signup/',
		'/skin/frontend/base/default/css/plumrocket/signup/',
		'/skin/frontend/base/default/js/plumrocket/signup/'
	);

	$basePath = dirname(__FILE__);
	foreach ($paths as $path) {
		exec('rm -rf ' . $basePath . $path);
	}

	Mage::app()->cleanCache();
} catch (Mage_Core_Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
} catch (Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
}
echo 'Success!';
?>
